CVE-2011-0520

NameCVE-2011-0520
DescriptionThe compress_add_dlabel_points function in dns/Compress.c in MaraDNS 1.4.03, 1.4.05, and probably other versions allows remote attackers to cause a denial of service (segmentation fault) and possibly execute arbitrary code via a long DNS hostname with a large number of labels, which triggers a heap-based buffer overflow.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2196-1
NVD severityhigh (attack range: remote)
Debian Bugs610834
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot known to be vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
maradns (PTS)squeeze1.4.03-1.1+squeeze1fixed
wheezy1.4.12-5fixed
stretch, sid2.0.12-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
maradnssource(unstable)1.4.03-1.1high610834
maradnssourcelenny1.3.07.09-2.1highDSA-2196-1

Search for package or bug name: Reporting problems